=== modified file 'drizzled/util/include.am'
--- drizzled/util/include.am	2009-12-24 23:55:44 +0000
+++ drizzled/util/include.am	2010-02-05 19:56:14 +0000
@@ -14,9 +14,10 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 nobase_dist_include_HEADERS+= \
-		drizzled/util/convert.h \
-		drizzled/util/functors.h \
-		drizzled/util/test.h
+                              drizzled/util/convert.h \
+                              drizzled/util/functors.h \
+                              drizzled/util/test.h \
+                              drizzled/util/tokenize.h
 
 noinst_LTLIBRARIES+= drizzled/util/libutil.la
 drizzled_util_libutil_la_SOURCES= drizzled/util/convert.cc

=== added file 'drizzled/util/tokenize.h'
--- drizzled/util/tokenize.h	1970-01-01 00:00:00 +0000
+++ drizzled/util/tokenize.h	2010-02-05 19:56:14 +0000
@@ -0,0 +1,59 @@
+/* - mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Monty Taylor
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef DRIZZLED_UTIL_TOKENIZE_H
+#define DRIZZLED_UTIL_TOKENIZE_H
+
+namespace drizzled
+{
+
+template <class ContainerT>
+void tokenize(const std::string& str, ContainerT& tokens, const std::string& delimiters= " ", const bool trimEmpty= false)
+{
+  std::string::size_type pos;
+  std::string::size_type lastPos= 0;
+
+  while (true)
+  {
+    pos= str.find_first_of(delimiters, lastPos);
+    if (pos == std::string::npos)
+    {
+      pos= str.length();
+
+      if (pos != lastPos || not trimEmpty)
+        tokens.push_back(typename ContainerT::value_type(str.data()+lastPos,
+                                                         static_cast<typename ContainerT::value_type::size_type>(pos)-lastPos));
+
+      break;
+    }
+    else
+    {
+      if(pos != lastPos || not trimEmpty)
+        tokens.push_back(typename ContainerT::value_type(str.data()+lastPos,
+                                                         static_cast<typename ContainerT::value_type::size_type>(pos)-lastPos));
+    }
+
+    lastPos= pos + 1;
+  }
+}
+
+} /* namespace drizzled */
+
+#endif /* DRIZZLED_UTIL_TOKENIZE_H */

